Skip to main content

This content has been archived and is no longer being updated. Links may not function; however, this content may be relevant to outdated versions of the product.

Support Article

Getting an error when upgrading KYC framework

SA-636

Summary



Developer is facing the error as below when upgrading the kyc framework from KYC v6.3.1 to KYC 7.1

He is using the configuration as below

Tomcat 6.0.32
MS SqlServer 10.5

Error Messages



Commit failed because org.apache.tomcat.dbcp.dbcp.DelegatingPreparedStatement.setNString(ILjava/lang/String;)V. Rulebase is now in an unknown state.


Steps to Reproduce




1) Upgrade the application to pega 7 unsing pega 7.1.5 direct installation (in-place upgrade )
2) Trying to upgrade the KYC framework from
v6.3.1 to KYC 7.1


Root Cause



setNstring method is undefined in Tomcat6, tomcat-dbcp.jar


Resolution



Asked user 
to try with tomcat 7 as the tomcat-dbcp.jar contains setNstring method defined. 
 
Suggest Edit

Published September 18, 2014 - Updated October 8, 2020

Did you find this content helpful? Yes No

Have a question? Get answers now.

Visit the Collaboration Center to ask questions, engage in discussions, share ideas, and help others.

We'd prefer it if you saw us at our best.

Pega Community has detected you are using a browser which may prevent you from experiencing the site as intended. To improve your experience, please update your browser.

Close Deprecation Notice
Contact us